import { Device, Texture } from '@luma.gl/core';
type TextureCube = Texture;
/** Environment textures for PBR module */
export type PBREnvironment = {
    /** Bi-directional Reflectance Distribution Function (BRDF) lookup table */
    brdfLutTexture: Texture;
    diffuseEnvSampler: TextureCube;
    specularEnvSampler: TextureCube;
};
export type PBREnvironmentProps = {
    brdfLutUrl: string;
    getTexUrl: (name: string, dir: number, level: number) => string;
    specularMipLevels?: number;
};
/** Loads textures for PBR environment */
export declare function loadPBREnvironment(device: Device, props: PBREnvironmentProps): PBREnvironment;
export {};
//# sourceMappingURL=pbr-environment.d.ts.map